package views;

import javafx.fxml.FXML;
import javafx.scene.control.*;
import javafx.scene.control.cell.TextFieldListCell;
import javafx.scene.layout.GridPane;
import javafx.scene.paint.Paint;
import javafx.scene.shape.Rectangle;

public class VueJeu {
    @FXML
    private GridPane map;

    @FXML
    private TextField rowGame;

    @FXML
    private TextField colGame;

    @FXML
    private Button createGrid;

    @FXML
    private Label nbRowGame;

    @FXML
    private Label nbColGame;

    private void createGrid() {
        for(int i=0; i < Integer.parseInt(rowGame.getText()); ++i){
            for(int j=0; j < Integer.parseInt(colGame.getText()); ++j) {
                map.add(new Rectangle(10, 10, Paint.valueOf("#AABBCC")), i, j);
            }
        }
    }

    public void initialize() {
        createGrid();

        nbColGame.setText(colGame.getText());
        nbRowGame.setText(rowGame.getText());
    }
}
